std::binary_negate< _Predicate > Class Template Reference
Negators
Inheritance diagram for std::binary_negate< _Predicate >:
[legend]

## Public Types

typedef _Predicate::first_argument_type | first_argument_type
typedef bool | result_type
typedef _Predicate::second_argument_type | second_argument_type

## Public Member Functions

| binary_negate (const _Predicate &__x)
bool | operator() (const typename _Predicate::first_argument_type &__x, const typename _Predicate::second_argument_type &__y) const

## Protected Attributes

_Predicate | _M_pred

## Detailed Description

### template<typename _Predicate>
class std::binary_negate< _Predicate >

One of the negation functors.

Definition at line 374 of file stl_function.h.

## Member Typedef Documentation

typedef _Predicate::first_argument_type std::binary_function< _Predicate::first_argument_type , _Predicate::second_argument_type , bool >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 117 of file stl_function.h.

typedef bool std::binary_function< _Predicate::first_argument_type , _Predicate::second_argument_type , bool >::result_type

inherited

`result_type` is the return type

Definition at line 123 of file stl_function.h.

typedef _Predicate::second_argument_type std::binary_function< _Predicate::first_argument_type , _Predicate::second_argument_type , bool >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 120 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h